/************************************************************************
*                                                                       *
*  Modified version of Assignment 2 Helper class                        *
*                                                                       *
*  This class contains one static method, oneDecPlaceString, that takes *
*  a nonnegative double value and returns a string representing the 	*
*  value rounded to one decimal place.					*
*                                                                       *
*  It does not work correctly for negative numbers.                     *
*                                                                       *
*                                       Ken Jackson, 13 March 1998.     *
*                                                                       *
************************************************************************/


class Helper {

   public static String oneDecPlaceString (double number) {
       
      // First create the string, without decimal places, by
      // rounding to the nearest 0.1 and converting to a string.

      String result = String.valueOf ( (int)(number*10 + 0.5) ) ;


      // Then decide where the decimal point should go.

      if (result.length() > 1)
         return result.substring(0,result.length()-1) + "."
            + result.substring(result.length()-1);
      else if (result.length() == 1)
         return "0." + result;
      else
         return "0.0";
   }
}

